PDA

View Full Version : [ubuntu] Help with vmware/ linux headers



co264510
January 10th, 2010, 09:59 PM
hi i am trying to install vmware server on my ubuntu 8.04 system with gnome setup - i have followed some guides but am coming unstuck when having to download necessary packages

its says sudo apt-get install linux-headers-`uname -r` build-essential xinetd

which i type and get unknown error

so then i type uname -r and it displays

2.6.28.4-xxxx-std-ipv4-32 - what does this mean and what package to i need?

i have then tried sudo apt-get linux-headers-2.6.28.4-xxxx-std-ipv4-32 build-essential xinetd

but i still get errors, can anyone help thanks

SecretCode
January 11th, 2010, 07:40 PM
It might be better if you posted the exact error you're getting (copy and paste).

2.6.28.4-xxxx-std-ipv4-32 is an odd result from uname -r - is this a special kernel? You'll need the headers for it, otherwise you won't be able to compile anything.

Also post the output of

sudo aptitude search linux-headers-